/*
 *   This file is a part of the SteamWar software.
 *
 *   Copyright (C) 2025 SteamWar.de-Serverteam
 *
 *   This program is free software: you can redistribute it and/or modify
 *   it under the terms of the GNU Affero General Public License as published by
 *   the Free Software Foundation, either version 3 of the License, or
 *   (at your option) any later version.
 *
 *   This program is distributed in the hope that it will be useful,
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
 *   GNU Affero General Public License for more details.
 *
 *   You should have received a copy of the GNU Affero General Public License
 *   along with this program.  If not, see <https://www.gnu.org/licenses/>.
 */

package de.steamwar.bausystem.features.tls;

import de.steamwar.command.SWCommand;
import de.steamwar.linkage.Linked;
import de.steamwar.linkage.LinkedInstance;
import org.bukkit.entity.Player;

@Linked
public class TLSCommand extends SWCommand {

    @LinkedInstance
    private TLSListener listener;

    public TLSCommand() {
        super("tntlistener", "tls");
    }

    @Register(value = "start", description = "TLS_START_HELP")
    public void start(@Validator Player player) {
        listener.startListening(player);
    }

    @Register(value = "stop", description = "TLS_STOP_HELP")
    public void stop(@Validator Player player) {
        listener.stopListening(player);
    }

    @Register(description = "TLS_TOGGLE_HELP")
    public void toggle(@Validator Player player) {
        if (listener.isActiveFor(player)) {
            listener.stopListening(player);
        } else {
            listener.startListening(player);
        }
    }
}
